Ask Your Question
1

FreeBSD 10 new package provider

asked 2014-02-17 04:52:42 -0500

dvish gravatar image

updated 2014-02-17 04:55:05 -0500

Hi, Now i get "Could not prefetch package provider 'portupgrade': Puppet::Error Puppet" and "message: "Provider portupgrade is not functional on this host" on FreeBSD 10 (FreeBSD freebsd10 10.0-RELEASE FreeBSD 10.0-RELEASE #0:)

Is the new package manager going to be supported?

http://www.freebsd.org/releases/10.0R/relnotes.html

2.5. Ports/Packages Collection Infrastructure The pkgadd, pkgcreate, pkgdelete, pkginfo, pkgupdating, and pkgversion utilities have been removed. pkg(7) must now be used to install binary packages. pkg(7) is the next generation FreeBSD package manager, also referred to as “pkgng”.

Thanks

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
0

answered 2014-02-18 17:35:44 -0500

Stefan gravatar image

It does not seem to be supported right now and I also don't see an open feature request for that. I can only encourage you to open a new feature request here. Please be aware that a lot of people that might be willing in help you out writing a FreeBSD pkgng provider might not have access to a FreeBSD system.

So if you file a feature request please include instructions on how to list all installed packages (with sample output), how to list a single package, how to get the latest version of a package, how to install ... (more)

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

3 followers

Stats

Asked: 2014-02-17 04:52:42 -0500

Seen: 636 times

Last updated: Feb 18 '14